gnutls_system_key_iter_get_info(3)

NAME
gnutls_system_key_iter_get_info - API function

SYNOPSIS
#include <gnutls/system-keys.h>

int gnutls_system_key_iter_get_info(gnutls_system_key_iter_t * iter, unsigned cert_type, char ** cert_url, char ** key_url, char ** label, gnutls_datum_t * der, unsigned int flags);

ARGUMENTS

gnutls_system_key_iter_t * iter
    an iterator of the system keys (must be set to NULL initially)

unsigned cert_type
    A value of gnutls_certificate_type_t which indicates the type of certificate to look for

char ** cert_url
    The certificate URL of the pair (may be NULL)

char ** key_url
    The key URL of the pair (may be NULL)

char ** label
    The friendly name (if any) of the pair (may be NULL)

gnutls_datum_t * der
    if non-NULL the DER data of the certificate

unsigned int flags
    should be zero

DESCRIPTION
This function will return on each call a certificate and key pair URLs, as well as a label associated with them, and the DER-encoded certificate. When the iteration is complete it will return GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE. Typically cert_type should be GNUTLS_CRT_X509. All values set are allocated and must be cleared using gnutls_free(),

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2014-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/